package go_coverter

import (
	"context"
	"encoding/json"
	"fmt"

	"github.com/drone/drone-go/drone"
	"github.com/drone/drone-go/plugin/converter"
)

// New returns a new conversion plugin.
func New() converter.Plugin {
	return &plugin{}
}

type plugin struct{}

func (p *plugin) Convert(ctx context.Context, req *converter.Request) (*drone.Config, error) {
	resp, err := json.Marshal(req)
	if err != nil {
		fmt.Printf("%+v", err)
		return nil, err
	}
	fmt.Printf("%s", string(resp))
	return &drone.Config{
		Data: req.Config.Data,
	}, nil
}
